from xml.dom.minidom     import *

class PStateParser(object):
  def getString(self, xmlState):
    for node in xmlState.childNodes:
      if node.nodeType == Node.CDATA_SECTION_NODE:
        return node.nodeValue  #node.childNodes[0].data
    return "No state string"

  def getSeqState(self, xmlState):
    attributes = xmlState.getElementsByTagName("attribute")
    for attribute in attributes:      
      attrName = attribute.getElementsByTagName("name")[0]
      txtName=attrName.childNodes[0].data
      #print txtName, "--", self.attrName
      if(txtName=="processorStatus"):
        attrValue = attribute.getElementsByTagName("value")[0]
        txtValue=attrValue.childNodes[0].data
        return txtValue
    return "Error"
